Subject: Re: bug#54027: Wishlist: Support full CSI u specification for terminal input

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Feb 2022 08:22:05 -0500

Eli Zaretskii [2022-02-28 14:17:45] wrote:
>> Alex Hutcheson [2022-02-27 13:21:20] wrote:
>> >> I think just adding the missing combinations is a better way forward.
>> > I think we're in agreement here, I was just suggesting how to add
>> > the combinations to xterm.el without introducing a lot of boilerplate
>> > code.
>> 
>> Actually, for `ESC [ 27 ...` the better option is to bind `ESC [ 27` to
>> a function that reads the subsequent parameters so it will handle *all*
>> cases in one go, as in the barely tested patch below.
>> 
>> For `ESC [ ... u` it's a bit more tricky because it doesn't have such
>> a "clean" prefix (it's distinguished by the final `u` instead), so we'd
>> have to rework a lot of the rest of the `ESC [` bindings.
>> Maybe not a bad idea, tho.
>
> Thanks, but what is your opinion about which of the combinations we
> need to add?

The patch I posted adds all of them, and that reflects my opinion (tho
the patch only bothered to do it for the `ESC [ 27 ...` format).

        Stefan